Bug 75437 - Nautilus cannot display SMB shares
Summary: Nautilus cannot display SMB shares
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nautilus   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-08 16:15 UTC by Ted Clark
Modified: 2007-04-18 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-10 12:58:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ted Clark 2002-10-08 16:15:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
When I type 'smb:' in the Nautilus location bar I get an error dialog that says
'Nautilus cannot display "smb:///".'  If I reboot to (null) this works fine. 
This _was_ working in psyche for a while right after I had (fresh) installed.

I have gnome-vfs2-extras-0.99.5-1 installed.  I did a forced install of the
Nautilus and gnome-vfs2* packages from (null), this did not help.  I reinstalled
the correct Nautilus and gnome-vfs2* packages and renamed my ~/.nautilus and
~/.gconf/apps/nautilus directories, still does not work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start Nautilus
2. enter 'smb:' in the location bar
3.
	

Actual Results:  I get an error dialog that says 'Nautilus cannot display
"smb:///".'

Expected Results:  Nautilus should display SMB shares.

Additional info:

nautilus-2.0.6-6
gnome-vfs2-2.0.2-5
gnome-vfs2-devel-2.0.2-5
gnome-vfs2-extras-0.99.5-1

Comment 1 Alexander Larsson 2002-10-08 19:51:40 UTC
Does smb://some_machine/ work? (where some_machine is the netbios name of some
machine with smb exports on the local network)


Comment 2 Ted Clark 2002-10-08 20:59:24 UTC
Yes, it does work!

Comment 3 Alexander Larsson 2002-10-09 06:57:55 UTC
So it seems browsing is broken.
Just to check, can you please try these:
smb:
smb://
smb:///
And write down exactly what the dialog tells you for each of them.


Comment 4 Ted Clark 2002-10-09 13:23:28 UTC
Now this is interesting..

smb:    -> Nautilus cannot display "smb:///".
smb://  -> Nautilus cannot display "smb:".
smb:/// -> Nautilus cannot display "smb:///".


Comment 5 Alexander Larsson 2002-10-09 13:55:04 UTC
But it doesn't say 
"smb:///" is not a valid location. Please check the spelling and try again.
which would have indicated that smb support wasn't found.
So, something goes wrong while trying to browse the lan. strange.


Comment 6 Ted Clark 2002-10-09 14:26:22 UTC
Nope, I don't get any error messages about not being a valid location.

This used to work, and reinstalling the packages did not fix it, so I think
there's probably some configuration or state information squirrelled away
somewhere that's messing it up.  Any idea on where to start looking?

Comment 7 Alexander Larsson 2002-10-10 08:51:10 UTC
Other people who have seen this had a firewall set up that was in the way.
Can you try:
/sbin/service iptables stop
/sbin/service ipchains stop
as root, and then retry.


Comment 8 Ted Clark 2002-10-10 12:58:26 UTC
Stopping and restarting iptables worked.  Thanks Alex!

Comment 9 James Ryley 2004-08-10 00:10:20 UTC
Was there ever a solution to this?  I am running Redhat 9 and I am 
encountering the exact same behavior.


Note You need to log in before you can comment on or make changes to this bug.